<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.15="http://sbr.gov.au/fdtn/sbr.02.15.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.03="http://sbr.gov.au/icls/py/pyid/pyid.02.03.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:dtyp.02.09="http://sbr.gov.au/fdtn/sbr.02.09.dtyp" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyin.02.14="http://sbr.gov.au/icls/py/pyin/pyin.02.14.data" xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data" xmlns:pyde.02.12="http://sbr.gov.au/icls/py/pyde/pyde.02.12.data" xmlns:RprtPyType.02.06="http://sbr.gov.au/dims/RprtPyType.02.06.dims" xmlns:emsup.02.13="http://sbr.gov.au/icls/em/emsup/emsup.02.13.data" xmlns:pyde.02.16="http://sbr.gov.au/icls/py/pyde/pyde.02.16.data" xmlns:prsnstrcnm3.02.01="http://sbr.gov.au/comnmdle/comnmdle.personstructuredname3.02.01.module" xmlns:fininstacc1.02.00="http://sbr.gov.au/comnmdle/comnmdle.financialinstitutionaccount1.02.00.module" xmlns:SprFndUSI.02.00="http://sbr.gov.au/dims/SprFndUSI.02.00.dims" xmlns:ReportingPartyABN.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="FVSU201406Validator_Functions.xsl"/><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-id"/><!--MODE: SCHEMATRON-FULL-PATH-2ATO-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" match="node() | @*" mode="schematron-get-full-path-2ato"><xsl:for-each select="ancestor-or-self::*"><xsl:if test="name(.) != 'documents' and name(.) != 'document'"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->


<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results"><xsl:apply-templates select="/" mode="M46"/><xsl:apply-templates select="/" mode="M47"/><xsl:apply-templates select="/" mode="M48"/><xsl:apply-templates select="/" mode="M49"/><xsl:apply-templates select="/" mode="M50"/><xsl:apply-templates select="/" mode="M51"/><xsl:apply-templates select="/" mode="M52"/><xsl:apply-templates select="/" mode="M53"/></xsl:variable><xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results"><xsl:element name="tns:Event" namespace="http://sbr.gov.au/comn/event.02.data" inherit-namespaces="no"><xsl:element name="tns:MaximumSeverity.Code"><xsl:choose><xsl:when test="$results//tns:Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Partial']">Partial</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Warning']">Warning</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Information']">Information</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Progressive']">Progressive</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></xsl:element><xsl:element name="tns:EventItems"><xsl:if test="not($results//tns:Severity.Code[.='Error'] or  $results//tns:Severity.Code[.='Partial'])"><xsl:element name="tns:EventItem"><xsl:element name="tns:Error.Code">CMN.ATO.GEN.OK</xsl:element><xsl:element name="tns:Severity.Code">Information</xsl:element><xsl:element name="tns:Short.Description">Message accepted</xsl:element><xsl:element name="tns:Locations"><xsl:element name="tns:Location"><xsl:element name="tns:Location.Instance.Identifier"><xsl:value-of select="$document-id"/></xsl:element></xsl:element></xsl:element></xsl:element></xsl:if><xsl:copy-of copy-namespaces="no" select="$results"/></xsl:element></xsl:element></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross all of the FVSU services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')                and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1 and count(./xbrldi:typedMember) = 0]/                xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]            ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="INT.Context" select="xbrli:xbrl/xbrli:context[               not(@i:nil='true' or @i:nil='1')               and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]/               xbrli:segment[not(@i:nil='true' or @i:nil='1') and count(./xbrldi:explicitMember) = 1]/               xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:Intermediary$')]            ]"/><xsl:variable name="INT.ContextId" select="$INT.Context/@id"/><xsl:variable name="RP.ProductUSI.Context" select="xbrli:xbrl/xbrli:context[                     not(@i:nil='true' or @i:nil='1')                     and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                      and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                     and count(./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')])=0                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]                     /xbrli:segment[                          not(@i:nil='true' or @i:nil='1')                          and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 1                          and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)                         and count(./xbrldi:explicitMember[                             not(@i:nil='true' or @i:nil='1')                              and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                              and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                             and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SprFndUSI\.\d\d\.\d\d:SuperFundUniqueSuperannuationIdentifierDimension$')]                                ) = 1                 ]             ]"/><xsl:variable name="RP.ProductUSI.ContextId" select="$RP.ProductUSI.Context/@id"/><xsl:variable name="RP.ProductUSI.Primary.Context" select="xbrli:xbrl/xbrli:context[                      not(@i:nil='true' or @i:nil='1')                     and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                      and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                     and count(./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')])=0                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]                     /xbrli:segment[                          not(@i:nil='true' or @i:nil='1')                          and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                          and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)                         and count(./xbrldi:explicitMember[                             not(@i:nil='true' or @i:nil='1')                              and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                              and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                                                        and count(./xbrldi:explicitMember[                             not(@i:nil='true' or @i:nil='1')                              and matches(@dimension,'^SuperPaymentDest\.\d\d\.\d\d:SuperannuationPaymentDestinationTypeDimension$')                              and matches(.,'^SuperPaymentDest\.\d\d\.\d\d:Primary$')]) = 1                                                          and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SprFndUSI\.\d\d\.\d\d:SuperFundUniqueSuperannuationIdentifierDimension$')]                                ) = 1                 ]             ]"/><xsl:variable name="RP.ProductUSI.Primary.ContextId" select="$RP.ProductUSI.Primary.Context/@id"/><xsl:variable name="RP.ProductUSI.Secondary.Context" select="xbrli:xbrl/xbrli:context[                      not(@i:nil='true' or @i:nil='1')                     and ./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]                      and ./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]                     and count(./xbrli:period/xbrli:instant[not(@i:nil='true' or @i:nil='1')])=0                      and ./xbrli:entity[not(@i:nil='true' or @i:nil='1')]                     /xbrli:segment[                          not(@i:nil='true' or @i:nil='1')                          and count(./xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1')]) = 2                          and (count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1')]) = 1)                         and count(./xbrldi:explicitMember[                             not(@i:nil='true' or @i:nil='1')                              and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$')                              and matches(.,'^RprtPyType\.\d\d\.\d\d:ReportingParty$')]) = 1                                                      and count(./xbrldi:explicitMember[                             not(@i:nil='true' or @i:nil='1')                              and matches(@dimension,'^SuperPaymentDest\.\d\d\.\d\d:SuperannuationPaymentDestinationTypeDimension$')                              and matches(.,'^SuperPaymentDest\.\d\d\.\d\d:Secondary$')]) = 1                                                         and count(./xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^SprFndUSI\.\d\d\.\d\d:SuperFundUniqueSuperannuationIdentifierDimension$')]                           ) = 1                 ]             ]"/><xsl:variable name="RP.ProductUSI.Secondary.ContextId" select="$RP.ProductUSI.Secondary.Context/@id"/><xsl:variable name="RP.Identifier.ABN" select="xbrli:xbrl/xbrli:context/xbrli:entity/xbrli:segment[count(./xbrldi:explicitMember) = 1 and contains(./xbrldi:explicitMember,'ReportingParty')]/xbrldi:explicitMember/../../xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/abn']"/><xsl:template match="text()" priority="-1" mode="M46"/><xsl:template match="@*|node()" priority="-2" mode="M46"><xsl:apply-templates select="*" mode="M46"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the EmployerTIC services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M47">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          count($RP.ProductUSI.Context)!=1                                                 )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000002</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context: number of RP.ProductUSI contexts must be 1</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000002</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          count($RP.ProductUSI.Primary.Context)!=1                                                 )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000005</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context: number of RP.ProductUSI.Primary contexts must equal 1</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000005</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          count($RP.ProductUSI.Secondary.Context)!=1                                                 )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000006</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context: number of RP.ProductUSI.Secondary contexts must equal 1</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000006</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          count($INT.Context)!=1                                                 )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000022</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The number of Intermediary (sender) contexts must be 1</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000022</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430296</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The number of Reporting party contexts must equal 1</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000209</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:variable name="SprFndUSI" select="$RP.ProductUSI.Context/xbrli:entity/xbrli:segment/xbrldi:typedMember[not(@i:nil='true' or @i:nil='1') and @dimension = 'SprFndUSI.02.00:SuperFundUniqueSuperannuationIdentifierDimension']/SprFndUSI.02.00:SuperannuationFundDetails.UniqueSuperannuationIdentifier.Identifier[not(@i:nil='true' or @i:nil='1')]/text()"/><xsl:variable name="RPABN" select="$RP.Context/xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and @scheme='http://www.ato.gov.au/abn' and string-length(normalize-space(.)) != 0]/text()"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(  count($RPABN) = 1 and count($SprFndUSI) = 1                                               and (                                       (                                         string-length(normalize-space($SprFndUSI)) = 14                                                                                  and                                         (                                           not (matches(substring($SprFndUSI,1,11),$RPABN))                                            or                                            not (matches(substring($SprFndUSI,12,3),'^[0-9]{1,3}$'))                                           )                                      )                                     or                                       (                                           string-length(normalize-space($SprFndUSI)) = 9                                           and                                           (                                             not (matches(substring($SprFndUSI,1,3),'^[a-zA-Z]{1,3}$'))                                             or not(matches(substring($SprFndUSI,4,4),'^[0-9]{1,4}$'))                                             or not (matches(substring($SprFndUSI,8,2),'^[a-zA-Z]{1,2}$'))                                            )                                       )                                       or                                         (                                                                                    not(                                                string-length(normalize-space($SprFndUSI)) = 14                                                                                                  or                                                 string-length(normalize-space($SprFndUSI)) =9                                              )                                                                           )                                                                                                                        )                         )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000010</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>A valid Unique Superannuation Identifier (USI) is either provider's ABN + 3 digits, or a SPIN</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000010</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M47"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M47">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                  xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                             xbrli:segment[not(@i:nil='true' or @i:nil='1')]/                             xbrldi:explicitMember[not(@i:nil='true' or @i:nil='1') and matches(@dimension,'^RprtPyType\.\d\d\.\d\d:ReportPartyTypeDimension$') and matches(.,'^RprtPyType\.\d\d\.\d\d:(ReportingParty)$')]                                                  and                         (                              xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[lower-case(@scheme) = 'http://www.ato.gov.au/abn'] != $RP.Identifier.ABN                          )                        )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000033</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>All RP contexts must have the same ABN</tns:Short.Description><tns:Detailed.Description>The contexts RP, RP.ProductUSI, RP.ProductUSI.Primary and RP.ProductUSI.Secondary must all have the same ABN</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000033</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:variable name="startDate" select="./xbrli:period/xbrli:startDate[not(@i:nil='true' or @i:nil='1')]"/><xsl:variable name="endDate" select="./xbrli:period/xbrli:endDate[not(@i:nil='true' or @i:nil='1')]"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[ . != $startDate and not(@i:nil='true' or @i:nil='1')])"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000024</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid Context: Effective date (from) must be the same across all duration contexts</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000024</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(preceding-sibling::xbrli:context/xbrli:period/xbrli:endDate[ . != $endDate and not(@i:nil='true' or @i:nil='1')])"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000025</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid Context: Effective date (to) must be the same across all duration contexts</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000025</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          xbrli:entity[not(@i:nil='true' or @i:nil='1')]                           /xbrli:identifier[not(@i:nil='true' or @i:nil='1') and                             @scheme != 'http://www.ato.gov.au/abn']                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000023</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity identifier scheme must be "http://www.ato.gov.au/abn"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000023</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($startDate[matches(.,'^(19|20)\d{2}-\d{2}-\d{2}$') and function:IsDate(.)])                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500083</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period start date must be in a valid date format.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500083</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($endDate[matches(.,'^\d{4}-\d{2}-\d{2}$') and function:IsDate(.)])                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500084</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period end date must be in a valid date format.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500084</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M47"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M47">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/ABN')                          or string-length(normalize-space(.)) = 0                          or function:ValidateABN(.)"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430318</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>ABN in context must be a valid ABN</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430318</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M47"/></xsl:template><xsl:template match="text()" priority="-1" mode="M47"/><xsl:template match="@*|node()" priority="-2" mode="M47"><xsl:apply-templates select="*" mode="M47"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M48">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             count(pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0                             and                              (                                 pyde.02.00:ElectronicContact.Telephone.Minimal.Number                                 [                                     @contextRef = $RP.ProductUSI.ContextId                                      and                                      not(@i:nil='true' or @i:nil='1')                                     and                                     matches(.,'^(13|18|04)')                                     ]                             )                   )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000032</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>13, 18 and mobile numbers (04) must not have an area code</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000032</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           count(pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                           and                            not (                                                     pyde.02.00:ElectronicContact.Telephone.Minimal.Number                              [                                 @contextRef = $RP.ProductUSI.ContextId                                  and                                  not(@i:nil='true' or @i:nil='1')                                 and                                 matches(.,'^(13|18|04)')                              ]                                                                           )                                                  )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000031</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Phone numbers other than 13, 18 and mobile numbers (04) must have an area code</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000031</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                                   pyde.02.00:ElectronicContact.Web.UniformResourceLocator.Text                           [                               @contextRef = $RP.ProductUSI.ContextId                                and                                not(@i:nil='true' or @i:nil='1')                                and                               string-length(normalize-space(.)) != 0                               and                                not( matches(. ,'^(http://|https://)(.*)$','i') )                           ]                                                )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000028</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Web address must start with "http://" or "https://".</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000028</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.Web.UniformResourceLocator.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                           [                               not(@i:nil='true' or @i:nil='1')                               and                               matches(.,'^(@)(.*)$','i')                            ]                                                   or                            pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                           [                               not(@i:nil='true' or @i:nil='1')                               and                               matches(.,'^(.*)(@)$','i')                           ]                                                )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430222</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Email address must not start or end with an @ symbol</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430222</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                           [                               not(@i:nil='true' or @i:nil='1')                               and                               matches(.,'^(.*)(@)(.*)(@)(.*)$','i')                            ]                                                 )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430223</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Email address must not contain more than one @ symbol</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430223</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                           [                               not(@i:nil='true' or @i:nil='1')                               and                               matches(.,'^(\.)(.*)$','i')                            ]                                                   or                            pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                           [                               not(@i:nil='true' or @i:nil='1')                               and                               matches(.,'^(.*)(\.)$','i')                           ]                                                 )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430224</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Email address must not start or end with a dot (.)</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430224</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                           [                               not(@i:nil='true' or @i:nil='1')                               and                               matches(.,'^(.*)(\.\.)(.*)$','i')                            ]                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430226</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Email address must not contain more than one consecutive dots (..)</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430226</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                           [                               not(@i:nil='true' or @i:nil='1')                               and                               matches(.,'^(.*)(\.@)(.*)$','i')                           ]                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430227</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Email address must not contain a dot followed by a @ symbol (.@)</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430227</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                           [                               not(@i:nil='true' or @i:nil='1')                               and                               matches(.,'^(.*)(@\.)(.*)$','i')                           ]                                               )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430228</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Email address must not contain a @ symbol followed by a dot (@.)</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430228</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                      pyde.02.00:ElectronicContact.ElectronicMail.Address.Text                         [not(@i:nil='true' or @i:nil='1')                            and matches(.,'^(.*)(\(|\)|&lt;|&gt;|,|;|:|\\|&#34;|\]|\[)(.*)$')                          ])"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430229</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Email address must not contain an invalid character</tns:Short.Description><tns:Detailed.Description>An email address must not contain any of the following invalid characters: ( ) &lt; &gt; , ; : \ " [ ]</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430229</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[string-length(normalize-space(.)) != 0                                   and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(.*)(@)(.*)$','i'))]                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430230</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Email address must contain an @ symbol</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430230</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[not(@i:nil='true' or @i:nil='1') and matches(.,'^(.*)( )(.*)$')]                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430231</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>An email address must not start with a space or include a space within it</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430231</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[string-length(normalize-space(.)) != 0                              and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(.*)(\.)(.*)$','i'))]                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430232</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Email address must contain a dot (.)</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.430232</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                             pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef = $RP.ProductUSI.ContextId and string-length(normalize-space(.)) != 0                              and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^02|03|04|07|08$','i'))]                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000021</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Contact phone area code must be two digits beginning with "0"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000021</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           (                             count(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) != 0                             and                              pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 9 ]                           )                           or                           (                             count(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) != 0                             and                              pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 9 ]                           )                                                   )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000030</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Account number must not be greater than 9 digits</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000030</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M48"/></xsl:template><xsl:template match="text()" priority="-1" mode="M48"/><xsl:template match="@*|node()" priority="-2" mode="M48"><xsl:apply-templates select="*" mode="M48"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations that are applicable accross all of the FVSU services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M49">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count(pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000034</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Family name of contact must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000034</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count(pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000029</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>BSB must be supplied.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000029</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count(pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000017</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Given name of contact must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000017</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                      "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000007</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Business name of Intermediary (sender) must be provided.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000007</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                      "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000008</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Business name of Reporting Party (superannuation provider) must be provided.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000008</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                      "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000009</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The standard and version details of the fund's certification must be provided.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000009</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="emsup.02.13:SuperannuationProductDetails.Name.Text[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                      "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Superannuation product name must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000011</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/emsup.02.13:SuperannuationProductDetails.Name.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) =0                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000012</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Account number for primary destination must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000012</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                      "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000013</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Account name for primary destination must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000013</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.16:ElectronicContact.ElectronicServiceAddress.Text[@contextRef = $RP.ProductUSI.Primary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                      "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000014</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>IP or URL address required for electronic service address.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000014</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.16:ElectronicContact.ElectronicServiceAddress.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                      "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000018</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Contact phone number must be provided.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000018</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:ElectronicContact.ElectronicMail.Address.Text[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                      "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000019</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Email address of contact must be supplied.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000019</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count(pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000036</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>BSB for secondary destination must be supplied</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000036</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count(pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) =0                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000037</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Account number for secondary destination must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000037</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                      "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000038</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Account name for secondary destination must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000038</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.16:ElectronicContact.ElectronicServiceAddress.Text[@contextRef = $RP.ProductUSI.Secondary.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                      "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000039</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>IP or URL address required for secondary electronic service address</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000039</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.16:ElectronicContact.ElectronicServiceAddress.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M49"/></xsl:template><xsl:template match="text()" priority="-1" mode="M49"/><xsl:template match="@*|node()" priority="-2" mode="M49"><xsl:apply-templates select="*" mode="M49"/></xsl:template>

<!--
                PATTERN PersonPerson Common Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M50">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]                     "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000017</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Given name of contact must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000017</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M50">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410063</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Given Name must contain at least one alphabetical character</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410063</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                         matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000436</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410202</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                         matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                         matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                         matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000437</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410203</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                         matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                         matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                         matches(.,'^(MR|MRS|MISS|MS)$','i'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000438</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410204</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*) - (.*)$','i'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000434</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>First name cannot contain space hyphen space</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428264</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000439</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>First name cannot contain repeated hyphen, apostrophe, or space characters</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428265</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ProductUSI.ContextId and not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M50">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                     matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                     matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                     matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                     matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000422</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428231</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000423</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Family Name cannot contain "space hyphen space"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428262</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000427</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428263</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(normalize-space(.)) = 0 or matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410040</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Family name must contain at least one alphabetical character</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410040</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                   matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                   matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                   matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000424</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410200</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                   matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                   matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                   matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                   matches(.,'^(MR|MRS|MISS|MS)$','i'))"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.000426</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410201</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template><xsl:template match="text()" priority="-1" mode="M50"/><xsl:template match="@*|node()" priority="-2" mode="M50"><xsl:apply-templates select="*" mode="M50"/></xsl:template>

<!--
                PATTERN PersonFund Details Common Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true')]" priority="1000" mode="M51">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                   pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text                       [                           @contextRef = $RP.ContextId                            and                            not(@i:nil='true')                            and                           string-length(normalize-space(.)) &gt; 3                           and                            matches(. ,'^(.*)(Nil)(.*)$')                       ]                 )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000040</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>If the standard and version details of the fund's certification contains Nil, it must not contain any other value</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000040</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="                   every $token in tokenize(pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text, '\s')                   satisfies                   matches($token, '^(Nil|ROLL2.0-X|ROLL3.0-X|CONT1.0-X|CONT2.0-X|GCON2.0-X|GROL2.0-X|GROL3.0-X)$')               "/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.FVSU.000041</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The standard and version details of the fund's certification is invalid</tns:Short.Description><tns:Detailed.Description>Valid values for standard and version details of the fund's certification are: Nil, ROLL2.0-X, ROLL3.0-X, CONT1.0-X, CONT2.0-X, GCON2.0-X, GROL2.0-X, GROL3.0-X</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.FVSU.000041</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M51"/></xsl:template><xsl:template match="text()" priority="-1" mode="M51"/><xsl:template match="@*|node()" priority="-2" mode="M51"><xsl:apply-templates select="*" mode="M51"/></xsl:template>

<!--
                PATTERN FinancialInstitutionFinancialInstitutionAccount Common Validations-->


	<!--
            RULE -->
<xsl:template match="pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(              string-length(normalize-space(.)) != 0                 and                  (                     not(matches(.,'^(01200[1-9]|0120[1-9][0-9]|012[1-9][0-9]{2}|01[3-9][0-9]{3}|0[2-9][0-9]{4}|[1-9][0-9]{5})$'))                     or                     string-length(normalize-space(.)) != 6                 )                             )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.432035</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>BSB Number must be six digits and greater than 012000</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.432035</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          matches(.,'^(.*)(_|!|@|\$|%|\]|\[|\?|=|:|;|&#34;|,)(.*)$')                          )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.432037</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Bank account name must not contain invalid characters _ ! @ $ % [ ] ? = : ; " ,</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.432037</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          string-length(normalize-space(.)) &gt; 32                   )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.432041</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Bank account name must not be longer than 32 characters</tns:Short.Description><tns:Detailed.Description>32 characters is the Banking Standard and set by the Banking Industry</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.432041</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template><xsl:template match="text()" priority="-1" mode="M52"/><xsl:template match="@*|node()" priority="-2" mode="M52"><xsl:apply-templates select="*" mode="M52"/></xsl:template>

<!--
                PATTERN ContentContent Validations for FVSU-->
<xsl:template match="text()" priority="-1" mode="M53"/><xsl:template match="@*|node()" priority="-2" mode="M53"><xsl:apply-templates select="*" mode="M53"/></xsl:template></xsl:stylesheet>