﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="FinancialInstitution" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>FinancialInstitutionAccount Common Validations</title>


  <rule context="pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number[not(@i:nil='true' or @i:nil='1')]">
    <!--
        IF pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> NULLORBLANK AND 
        (pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number <> SET(012001-999999)) OR (LENGTH(pyid.xx.xx:FinancialInstitutionAccount.BankStateBranch.Number) <> 6)
           RETURN VALIDATION MESSAGE
        ENDIF
       -->
    <assert  id="VR.ATO.GEN.432035" diagnostics="DVR.ATO.GEN.432035"
             test="not(
             string-length(normalize-space(.)) != 0
                and 
                (
                    not(matches(.,'^(01200[1-9]|0120[1-9][0-9]|012[1-9][0-9]{2}|01[3-9][0-9]{3}|0[2-9][0-9]{4}|[1-9][0-9]{5})$'))
                    or
                    string-length(normalize-space(.)) != 6
                )
              
             )"/>

  </rule>

  <rule context="pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[not(@i:nil='true' or @i:nil='1')]">
    <!--
            
            IF pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text 
            CONTAINS SET(""_"", ""!"", ""@"", ""$"", ""%"", ""]"", ""["", ""?"", ""="", "":"", "";"", """""", "","")
               RETURN VALIDATION MESSAGE
            ENDIF

        -->

    <assert id="VR.ATO.GEN.432037" diagnostics="DVR.ATO.GEN.432037"
            test="not(
                         matches(.,'^(.*)(_|!|@|\$|%|\]|\[|\?|=|:|;|&quot;|,)(.*)$')
                         )"></assert>

    <!--
        IF LENGTH(pyid.xx.xx:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text) > 32
           RETURN VALIDATION MESSAGE
        ENDIF
        -->

    <assert id="VR.ATO.GEN.432041" diagnostics="DVR.ATO.GEN.432041"
            test="not(
                         string-length(normalize-space(.)) &gt; 32

                 )"/>

  </rule>
  
    </pattern>