﻿<?xml version="1.0" encoding="utf-8"?>
<diagnostics xmlns="http://purl.oclc.org/dsdl/schematron">
  <!-- ========= DVR.ATO.MONEY ========= -->

  <diagnostic id="DVR.ATO.MONEY.S.11.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.MONEY.U.11.0">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.MONEY.U.13.2">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.MONEY.S.13.2">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.MONEY.S.13.2">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.400011</Code>
      <Description>Field incorrect format. Exceeds maximum digits or decimals and/or contains illegal characters</Description>
      <LongDescription>Field is in incorrect format for a monetary field. Field either exceeds maximum digits or decimals and/or contains illegal characters and/or for a signed field does not have the sign as the first character</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.000209">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430296</Code>
      <Description>Invalid context. The number of Reporting party contexts must equal 1</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432035</Code>
      <Description>BSB Number must be six digits and greater than 012000</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432041</Code>
      <Description>Bank account name must not be longer than 32 characters</Description>
      <LongDescription>32 characters is the Banking Standard and set by the Banking Industry</LongDescription>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410063">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410063</Code>
      <Description>Given Name must contain at least one alphabetical character</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410202">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000436</Code>
      <Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410203">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000437</Code>
      <Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410204">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000438</Code>
      <Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428264">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000434</Code>
      <Description>First name cannot contain space hyphen space</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428265">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000439</Code>
      <Description>First name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410200">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000424</Code>
      <Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410201">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000426</Code>
      <Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428231">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000422</Code>
      <Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428262">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000423</Code>
      <Description>Family Name cannot contain "space hyphen space"</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.428263">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.000427</Code>
      <Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.432037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.432037</Code>
      <Description>Bank account name must not contain invalid characters _ ! @ $ % [ ] ? = : ; " ,</Description>
      <LongDescription />
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430222">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430222</Code>
      <Description>Email address must not start or end with an @ symbol</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430223">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430223</Code>
      <Description>Email address must not contain more than one @ symbol</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430224">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430224</Code>
      <Description>Email address must not start or end with a dot (.)</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430226">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430226</Code>
      <Description>Email address must not contain more than one consecutive dots (..)</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430227">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430227</Code>
      <Description>Email address must not contain a dot followed by a @ symbol (.@)</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430228">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430228</Code>
      <Description>Email address must not contain a @ symbol followed by a dot (@.)</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430229">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430229</Code>
      <Description>Email address must not contain an invalid character</Description>
      <LongDescription>An email address must not contain any of the following invalid characters: ( ) &lt; &gt; , ; : \ " [ ]</LongDescription>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430230">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430230</Code>
      <Description>Email address must contain an @ symbol</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430231">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430231</Code>
      <Description>An email address must not start with a space or include a space within it</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430232">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430232</Code>
      <Description>Email address must contain a dot (.)</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.430318">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.430318</Code>
      <Description>ABN in context must be a valid ABN</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.410040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.410040</Code>
      <Description>Family name must contain at least one alphabetical character</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000002">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000002</Code>
      <Description>Invalid context: number of RP.ProductUSI contexts must be 1</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000005">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000005</Code>
      <Description>Invalid context: number of RP.ProductUSI.Primary contexts must equal 1</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000006">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000006</Code>
      <Description>Invalid context: number of RP.ProductUSI.Secondary contexts must equal 1</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000007">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000007</Code>
      <Description>Business name of Intermediary (sender) must be provided.</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000008">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000008</Code>
      <Description>Business name of Reporting Party (superannuation provider) must be provided.</Description>
      <Location>pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000009">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000009</Code>
      <Description>The standard and version details of the fund's certification must be provided.</Description>
      <Location>pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000010">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000010</Code>
      <Description>A valid Unique Superannuation Identifier (USI) is either provider's ABN + 3 digits, or a SPIN</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000011">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000011</Code>
      <Description>Superannuation product name must be provided</Description>
      <Location>emsup.02.13:SuperannuationProductDetails.Name.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000012">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000012</Code>
      <Description>Account number for primary destination must be provided</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000013">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000013</Code>
      <Description>Account name for primary destination must be provided</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000014">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000014</Code>
      <Description>IP or URL address required for electronic service address.</Description>
      <Location>pyde.02.16:ElectronicContact.ElectronicServiceAddress.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.FVSU.000017">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000017</Code>
      <Description>Given name of contact must be provided</Description>
      <Location>pyde.02.00:PersonNameDetails.GivenName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000018">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000018</Code>
      <Description>Contact phone number must be provided.</Description>
      <Location>pyde.02.00:ElectronicContact.Telephone.Minimal.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000019">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000019</Code>
      <Description>Email address of contact must be supplied.</Description>
      <Location>pyde.02.00:ElectronicContact.ElectronicMail.Address.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000021">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000021</Code>
      <Description>Contact phone area code must be two digits beginning with "0"</Description>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000022">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000022</Code>
      <Description>Invalid context. The number of Intermediary (sender) contexts must be 1</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000023">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000023</Code>
      <Description>Entity identifier scheme must be "http://www.ato.gov.au/abn"</Description>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000024">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000024</Code>
      <Description>Invalid Context: Effective date (from) must be the same across all duration contexts</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000025">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000025</Code>
      <Description>Invalid Context: Effective date (to) must be the same across all duration contexts</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000029">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000029</Code>
      <Description>BSB must be supplied.</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000028">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000028</Code>
      <Description>Web address must start with "http://" or "https://".</Description>
      <Location>pyde.02.00:ElectronicContact.Web.UniformResourceLocator.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000034">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000034</Code>
      <Description>Family name of contact must be provided</Description>
      <Location>pyde.02.00:PersonNameDetails.FamilyName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000030">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000030</Code>
      <Description>Account number must not be greater than 9 digits</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000031">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000031</Code>
      <Description>Phone numbers other than 13, 18 and mobile numbers (04) must have an area code</Description>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000032">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000032</Code>
      <Description>13, 18 and mobile numbers (04) must not have an area code</Description>
      <Location>pyde.02.00:ElectronicContact.Telephone.Area.Code</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000033">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000033</Code>
      <Description>All RP contexts must have the same ABN</Description>
      <LongDescription>The contexts RP, RP.ProductUSI, RP.ProductUSI.Primary and RP.ProductUSI.Secondary must all have the same ABN</LongDescription>
      <Location>xbrli:entity/xbrli:identifier</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000035">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000035</Code>
      <Description>Effective date (from) must be a future date</Description>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000036">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000036</Code>
      <Description>BSB for secondary destination must be supplied</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.BankStateBranch.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000037">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000037</Code>
      <Description>Account number for secondary destination must be provided</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccount.Number</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000038">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000038</Code>
      <Description>Account name for secondary destination must be provided</Description>
      <Location>pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000039">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000039</Code>
      <Description>IP or URL address required for secondary electronic service address</Description>
      <Location>pyde.02.16:ElectronicContact.ElectronicServiceAddress.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000040">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000040</Code>
      <Description>If the standard and version details of the fund's certification contains Nil, it must not contain any other value</Description>
      <Location>pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.FVSU.000041">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.FVSU.000041</Code>
      <Description>The standard and version details of the fund's certification is invalid</Description>
      <LongDescription>Valid values for standard and version details of the fund's certification are: Nil, ROLL2.0-X, ROLL3.0-X, CONT1.0-X, CONT2.0-X, GCON2.0-X, GROL2.0-X, GROL3.0-X</LongDescription>
      <Location>pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text</Location>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
  <diagnostic id="DVR.ATO.GEN.500083" xmlns="http://purl.oclc.org/dsdl/schematron">    
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500083</Code>
      <Description>Invalid context. Period start date must be in a valid date format.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>

  <diagnostic id="DVR.ATO.GEN.500084" xmlns="http://purl.oclc.org/dsdl/schematron">
    <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02">
      <Code>CMN.ATO.GEN.500084</Code>
      <Description>Invalid context. Period end date must be in a valid date format.</Description>
      <LongDescription/>
      <Severity>Error</Severity>
    </ProcessMessage>
  </diagnostic>
</diagnostics>