﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Person" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Fund Details Common Validations</title>

  <rule context="xbrli:xbrl[not(@i:nil='true')]">
    <!--
      IF ([FVSU8] <> NULLORBLANK) AND ([FVSU8] CONTAINS "Nil") AND (LENGTH([FVSU8]) > 3)
          RETURN VALIDATION MESSAGE
      ENDIF
      
      [FVS8] = pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text
      -->

    <assert id="VR.ATO.FVSU.000040" diagnostics="DVR.ATO.FVSU.000040"
            test="not(
                  pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text
                      [
                          @contextRef = $RP.ContextId 
                          and 
                          not(@i:nil='true') 
                          and
                          string-length(normalize-space(.)) &gt; 3
                          and 
                          matches(. ,'^(.*)(Nil)(.*)$')
                      ]  
              )">
    </assert>

    <!--
      IF ([FVSU8] <> NULLORBLANK) AND (AnyOccurrence(TOKENISE([FVSU8], " ", " ")) <> InSet("Nil", "ROLL2.0-X", "ROLL3.0-X", "CONT1.0-X", "CONT2.0-X", "GCON2.0-X",
      "GROL2.0-X", "GROL3.0-X"))
          RETURN VALIDATION MESSAGE
      ENDIF
      
      [FVS8] = pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text
      -->

    <assert id="VR.ATO.FVSU.000041" diagnostics="DVR.ATO.FVSU.000041"
            test="
                  every $token in tokenize(pyde.02.16:ElectronicContact.WebServices.ConformanceToStandard.Text, '\s')
                  satisfies
                  matches($token, '^(Nil|ROLL2.0-X|ROLL3.0-X|CONT1.0-X|CONT2.0-X|GCON2.0-X|GROL2.0-X|GROL3.0-X)$')
              ">
    </assert>
    
    </rule>
</pattern>
